package mtwm

import (
	"testing"

	"git.rosy.net.cn/jx-callback/business/jxutils/jxcontext"
	// _ "git.rosy.net.cn/jx-callback/business/jxcallback/orderman"
)

// func TestSyncStoreCategory(t *testing.T) {
// 	hint, err := CurPurchaseHandler.SyncStoreCategory(jxcontext.AdminCtx, nil, testShopID, false)
// 	if err != nil {
// 		t.Fatal(err)
// 	}
// 	t.Log(hint)
// }

// func TestSyncLocalStoreCategory(t *testing.T) {
// 	hint, err := CurPurchaseHandler.SyncLocalStoreCategory(jxcontext.AdminCtx, nil, testShopID, true, nil)
// 	if err != nil {
// 		t.Fatal(err)
// 	}
// 	t.Log(hint)
// }

// func TestSyncStoreSkus(t *testing.T) {
// 	hint, err := CurPurchaseHandler.SyncStoreSkus(jxcontext.AdminCtx, nil, testShopID, nil, false, true)
// 	if err != nil {
// 		t.Fatal(err)
// 	}
// 	t.Log(hint)
// }

func TestDeleteRemoteSkus(t *testing.T) {
	err := CurPurchaseHandler.DeleteStoreAllSkus(jxcontext.AdminCtx, nil, testShopID, testShopVendorID, true)
	if err != nil {
		t.Fatal(err)
	}
}

func TestDeleteRemoteCategories(t *testing.T) {
	err := CurPurchaseHandler.DeleteStoreAllCategories(jxcontext.AdminCtx, nil, testShopID, testShopVendorID, true)
	if err != nil {
		t.Fatal(err)
	}
}
